<jsp:directive.page import="java.net.URLEncoder"/>
<%/******************************************************************************
 * Copyright (c) 2000-2013 E-DEAL
*
* E-DEAL S.A.
* 41, rue Périer
* 92120 Montrouge
* France
*
* T: +33 (0)1 73 03 29 80
* F: +33 (0)1 73 01 69 77
* http://www.e-deal.com
* 
* La diffusion de ce code source sous quelque forme que ce soit sans
* l'autorisation de E-DEAL est interdite.
*
* Vous êtes autorisés à modifier ce code source uniquement pour votre usage
* propre et sous réserve que les mentions de copyright demeurent intactes.
*
* Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
* implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
* responsable des dommages pouvant résulter de l'utilisation de ce code
* source.
******************************************************************************/%>
<%@ page session="true" import="com.edeal.frontline.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.edeal.frontline.grid.GridData" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.MessagesBean" id="Messages" scope="request"/><%
final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();

boolean success = Boolean.parseBoolean(flRequest.getRequestParameterOrAttribute("success"));
String objID = flRequest.getRequestParameterOrAttribute("objID");
String objSql = flRequest.getRequestParameterOrAttribute("objSql");
String strReturn = flRequest.getRequestParameterOrAttribute("strReturn");
String msgID = flRequest.getRequestParameterOrAttribute("msgID");

%>
<html>
<head>
<title>&nbsp;</title>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
<script type="text/javascript" src="<fl:link url="/js/edeal/libraries/jquery/jquery.js"/>"></script>
<script type="text/javascript" src="<fl:link url="/js/ajax/ajax.js"/>"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ac/fobAC_js.jsp"></script>
<script language="javascript">

$(document).ready(function(){	
	window.resizeTo(800, 600);
	setTimeout(function() { 
	 <% if (strReturn != null) { 
	 	 if (Utils.isEmpty(msgID)) { %>	
		 	$("#wysiwyg_id").html(" <img src=\"<fl:webapp/>/js/progressbar/images/<%= (success) ? "success.png" : "failure.png" %>\" style=\"vertical-align: bottom;\" alt=\"<%= strReturn %>\" title=\"<%= strReturn %>\"></img>");
	 	<% } else { %>
		 	$("#<%= msgID %> td:nth-child(1)").each(function (){
		 		var html = $(this).html();
		 		
		 		$(this).html("<img src=\"<fl:webapp/>/js/progressbar/images/<%= (success) ? "success.png" : "failure.png"%>\" alt=\"<%= strReturn %>\" title=\"<%= strReturn %>\"></img> " + html);
		 	 });
		 <% } 
	 } %>
	}, 1000);	
});

function doOpenWysiwygEditor() {
	var url = '<fl:webapp/>/open_wysiwyg.fl?objID=<%= objID %>&objSql=<%= objSql %>';
	window.location = url;
}

function doLoadGrid() {
	_grid__MSGMAIL_js_.render("ObjSql", '<%= Utils.formatToJavascript(objSql) %>');
}

function doSend(msgID) {
	window.location = '<fl:webapp/>/send_mail_object.fl?msgID=' + msgID + '&objID=<%= objID %>&objSql=<%= objSql %>';
}

function doEdit(msgID) {
	window.location = '<fl:webapp/>/open_wysiwyg.fl?msgID=' + msgID + '&objID=<%= objID %>&objSql=<%= objSql %>';
}

</script>
</head>
<body onload="doLoadGrid()">
	<div class="main_body" style="border:none;height:100%">	
		<table>
			<tr><td height="10px"></td></tr>
		</table>
		<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"L30D8\", false, true, \"Envoyer un e-mail\") %>">
			<table style="width: 100%">		
				<tr class="fieldline">
					<td style="width: 100%" colspan="3">
						<div style="overflow:auto;height:100%">
							<fl:grid name="MSGMAIL" height="100%" width="100%" ajaxUrl="/embedded_list_ajax.fl?code=MSGMAIL"></fl:grid>			
						</div>		
					</td>
				</tr>
				<tr class="fieldline">
					<td class="dataValue" align="center" colspan="3">
						<a href="javascript:doOpenWysiwygEditor()"><fl:getMessage code="L7095" alt="Envoi depuis un ꥩteur wysiwyg"/></a>
						<span id="wysiwyg_id"></span>
					</td>
				</tr>	
			</table>
		</fl:bigTabs>
		<br>
		<table class="container">
			<tr class="fieldline">
				<td style="width: 100%; text-align: center" colspan="3"><a href="javascript:window.top.close();"><img src="<fl:webapp/>/icons/ico/fermer_red_long.gif"></a></td>
			</tr>
		</table>
	</div>
</body>
</html>